import Vue from 'vue'
import Vuex from 'vuex'

import user from './user/user'
import data from './modules/data'
import global_config from './modules/globalConfig'
import app from './app/app'

// import getters from './getters'

Vue.use(Vuex)

const getters = {
  patient_types: state => state.global_config.patient_types,
  partitions: state => state.global_config.partitions,
  marital_options: state => state.global_config.marital_options,
  reimbursement_ways: state => state.global_config.reimbursement_ways,
  blood_types: state => state.global_config.blood_types,
  rh: state => state.global_config.rh,
  education_types: state => state.global_config.education_types,
  profession_options: state => state.global_config.profession_options,
  induction_options: state => state.global_config.induction_options,
  contagions: state => state.global_config.contagions,
  disease: state => state.global_config.disease,
  treatment_mode: state => state.global_config.treatment_mode,
  anticoagulants_confit: state => state.global_config.anticoagulants_confit,
  anticoagulants_set: state => state.global_config.anticoagulants_set,
  replacement_ways: state => state.global_config.replacement_ways,
  blood_filters: state => state.global_config.blood_filters,
  perfusion_apparatus: state => state.global_config.perfusion_apparatus,
  hemodialysis_machines: state => state.global_config.hemodialysis_machines,

  vascular_access: state => state.global_config.vascular_access,
  vascular_access_desc: state => state.global_config.vascular_access_desc,
  internal_fistula_tremor_ac: state => state.global_config.internal_fistula_tremor_ac,
  patient_gose: state => state.global_config.patient_gose,
  observation_content: state => state.global_config.observation_content,


  dialysis_duration: state => state.global_config.dialysis_duration,
  last_dialysis_after: state => state.global_config.last_dialysis_after,
  dialysis_before: state => state.global_config.dialysis_before,
  internal_fistula: state => state.global_config.internal_fistula,
  catheter: state => state.global_config.catheter,
  complication: state => state.global_config.complication,
  cruor: state => state.global_config.cruor,
  symptoms: state => state.global_config.symptoms,
  deals: state => state.global_config.deals,
  results: state => state.global_config.results,
  summary: state => state.global_config.summary,
  teach: state => state.global_config.teach,
  dialysate_formulation: state => state.global_config.dialysate_formulation,
  internal_fistula: state => state.global_config.internal_fistula,
  hemorrhage:  state => state.global_config.hemorrhage,
  units: state => state.global_config.units,
  internal_fistula_skin: state => state.global_config.internal_fistula_skin,
  catheter_bend: state => state.global_config.catheter_bend,

  user: state => state.user,
  app: state => state.app,
  configlist: state => state.data.configlist,

  
}

const store = new Vuex.Store({
  modules: {
    user,
    global_config,
    data,
    app
  },
  getters
})

export default store
